Bug 1417984 - Review Request: perl-failures - Minimalist exception hierarchy generator
Summary: Review Request: perl-failures - Minimalist exception hierarchy generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1418006
TreeView+ depends on / blocked
 
Reported: 2017-01-31 14:33 UTC by Jitka Plesnikova
Modified: 2017-02-14 15:48 UTC (History)
2 users (show)

Fixed In Version: perl-failures-0.004-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 22:22:09 UTC
Type: ---
emmanuel: fedora-review+


Attachments (Terms of Use)

Description Jitka Plesnikova 2017-01-31 14:33:53 UTC
Spec URL: https://jplesnik.fedorapeople.org/perl-failures/perl-failures.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-failures/perl-failures-0.004-1.fc26.src.rpm

Description:
This module lets you define an exception hierarchy quickly and simply.

Fedora Account System Username: jplesnik@redhat.com

Comment 1 Emmanuel Seyman 2017-02-01 14:40:16 UTC
Taking.

Comment 2 Emmanuel Seyman 2017-02-02 20:16:06 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: https://koji.fedoraproject.org/koji/taskinfo?taskID=17554292

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: ASL 2.0
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc or %license.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
3f2df230308b63550b94ae1124b94b20  failures-0.004.tar.gz

 [x] Package is not known to require ExcludeArch
 [!] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.

Please add perl(Test::FailWarnings) as a BuildRequires.

 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: https://koji.fedoraproject.org/koji/taskinfo?taskID=17554292
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=3, Tests=9,  0 wallclock secs ( 0.04 usr  0.00 sys +  0.30 cusr  0.03 csys =  0.37 CPU)
Result: PASS

Please add perl(Test::FailWarnings) as a BuildRequires and I'll approve the package.

Comment 4 Emmanuel Seyman 2017-02-03 09:14:46 UTC
BuildRequire added. The package looks good.
APPROVED.

Comment 5 Gwyn Ciesla 2017-02-03 13:25:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-failures

Comment 6 Jitka Plesnikova 2017-02-03 13:41:56 UTC
Thank you for the review and the repository.

Comment 7 Fedora Update System 2017-02-03 13:49:28 UTC
perl-failures-0.004-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e353a9661

Comment 8 Fedora Update System 2017-02-03 23:50:38 UTC
perl-failures-0.004-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e353a9661

Comment 9 Fedora Update System 2017-02-13 22:22:09 UTC
perl-failures-0.004-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-02-14 15:48:50 UTC
perl-failures-0.004-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.